# CbcFixVariable Class Reference

Class for consequent bounds. More...

`#include <CbcFixVariable.hpp>`

Inheritance diagram for CbcFixVariable:
[legend]
Collaboration diagram for CbcFixVariable:
[legend]

List of all members.

## Public Member Functions
| CbcFixVariable ()
| CbcFixVariable (int numberStates, const int *states, const int *numberNewLower, const int **newLowerValue, const int **lowerColumn, const int *numberNewUpper, const int **newUpperValue, const int **upperColumn)
| CbcFixVariable (const CbcFixVariable &rhs)
CbcFixVariable & | operator= (const CbcFixVariable &rhs)
virtual CbcConsequence * | clone () const
| Clone.
virtual | ~CbcFixVariable ()
| Destructor.
virtual void | applyToSolver (OsiSolverInterface *solver, int state) const
| Apply to an LP solver.
## Protected Attributes
int | numberStates_
| Number of states.
int * | states_
| Values of integers for various states.
int * | startLower_
| Start of information for each state (setting new lower).
int * | startUpper_
| Start of information for each state (setting new upper).
double * | newBound_
| For each variable new bounds.
int * | variable_
| Variable.

## Detailed Description

Class for consequent bounds.

When a variable is branched on it normally interacts with other variables by means of equations. There are cases where we want to step outside LP and do something more directly e.g. fix bounds. This class is for that.

A state of -9999 means at LB, +9999 means at UB, others mean if fixed to that value.

Definition at line 22 of file CbcFixVariable.hpp.

## Constructor & Destructor Documentation

CbcFixVariable::CbcFixVariable | ( |  | ) |

CbcFixVariable::CbcFixVariable | ( | int | numberStates,
|  | const int * | states,
|  | const int * | numberNewLower,
|  | const int ** | newLowerValue,
|  | const int ** | lowerColumn,
|  | const int * | numberNewUpper,
|  | const int ** | newUpperValue,
|  | const int ** | upperColumn |
| ) |  |  |

CbcFixVariable::CbcFixVariable | ( | const CbcFixVariable & | rhs | ) |

virtual CbcFixVariable::~CbcFixVariable | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

CbcFixVariable& CbcFixVariable::operator= | ( | const CbcFixVariable & | rhs | ) |

Reimplemented from CbcConsequence.

virtual CbcConsequence* CbcFixVariable::clone | ( |  | ) | const`[virtual]`

Clone.

Implements CbcConsequence.

virtual void CbcFixVariable::applyToSolver | ( | OsiSolverInterface * | solver,
|  | int | state |
| ) |  |  | const`[virtual]`

Apply to an LP solver.

Action depends on state

Implements CbcConsequence.

## Member Data Documentation

int CbcFixVariable::numberStates_`[protected]`

Number of states.

Definition at line 53 of file CbcFixVariable.hpp.

int* CbcFixVariable::states_`[protected]`

Values of integers for various states.

Definition at line 55 of file CbcFixVariable.hpp.

int* CbcFixVariable::startLower_`[protected]`

Start of information for each state (setting new lower).

Definition at line 57 of file CbcFixVariable.hpp.

int* CbcFixVariable::startUpper_`[protected]`

Start of information for each state (setting new upper).

Definition at line 59 of file CbcFixVariable.hpp.

double* CbcFixVariable::newBound_`[protected]`

For each variable new bounds.

Definition at line 61 of file CbcFixVariable.hpp.

int* CbcFixVariable::variable_`[protected]`

Variable.

Definition at line 63 of file CbcFixVariable.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.7.8/Cbc/src/CbcFixVariable.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines